Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
Toggle table of contents sidebar

# bson_utf8_next_char()

## Synopsis

    const char *
    bson_utf8_next_char (const char *utf8);

## Parameters

- `utf8`: A UTF-8 encoded string.

## Description

Advances within `utf8` to the next UTF-8 character, which may be multiple bytes offset from `utf8`. A pointer to the next character is returned.

It is invalid to call this function on a string whose current character is `\0`.

## Returns

A pointer to the beginning of the next character in the UTF-8 encoded string.